package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrProgrammeMapper;
import com.ruoyi.project.pssr.domain.TPssrProgramme;
import com.ruoyi.project.pssr.service.ITPssrProgrammeService;

/**
 * 开工方案Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrProgrammeServiceImpl implements ITPssrProgrammeService
{
    @Autowired
    private TPssrProgrammeMapper tPssrProgrammeMapper;

    /**
     * 查询开工方案
     *
     * @param id 开工方案ID
     * @return 开工方案
     */
    @Override
    public TPssrProgramme selectTPssrProgrammeById(Long id)
    {
        return tPssrProgrammeMapper.selectTPssrProgrammeById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId) {
        return tPssrProgrammeMapper.selectNoConfirmCount(subId);
    }

    /**
     * 查询开工方案列表
     *
     * @param tPssrProgramme 开工方案
     * @return 开工方案
     */
    @Override
    public List<TPssrProgramme> selectTPssrProgrammeList(TPssrProgramme tPssrProgramme)
    {
        return tPssrProgrammeMapper.selectTPssrProgrammeList(tPssrProgramme);
    }

    /**
     * 新增开工方案
     *
     * @param tPssrProgramme 开工方案
     * @return 结果
     */
    @Override
    public int insertTPssrProgramme(TPssrProgramme tPssrProgramme)
    {
        return tPssrProgrammeMapper.insertTPssrProgramme(tPssrProgramme);
    }

    /**
     * 修改开工方案
     *
     * @param tPssrProgramme 开工方案
     * @return 结果
     */
    @Override
    public int updateTPssrProgramme(TPssrProgramme tPssrProgramme)
    {
        return tPssrProgrammeMapper.updateTPssrProgramme(tPssrProgramme);
    }

    /**
     * 批量删除开工方案
     *
     * @param ids 需要删除的开工方案ID
     * @return 结果
     */
    @Override
    public int deleteTPssrProgrammeByIds(Long[] ids)
    {
        return tPssrProgrammeMapper.deleteTPssrProgrammeByIds(ids);
    }

    /**
     * 删除开工方案信息
     *
     * @param id 开工方案ID
     * @return 结果
     */
    @Override
    public int deleteTPssrProgrammeById(Long id)
    {
        return tPssrProgrammeMapper.deleteTPssrProgrammeById(id);
    }
}
